Subject: bug#12372: arbitrary suffix sources are not added to the tags

From: Stefano Lattarini <[email-masked]>
Date: Tue, 11 Sep 2012 11:24:32 +0200

On 09/07/2012 01:44 PM, Stefano Lattarini wrote:
> [Re-adding the list, please keep it in the loop in future answers]
> 
> On 09/07/2012 01:16 PM, Юрий Пухальский wrote:
>> Ok, got it.
>>
>> The automake version i've tried is 1.12.3, the latest available
>> from the site.
>>
>> If there is .pc.lo rule, .pc don't get into the tags and for .pc-only
>> sourced libraries nothing gets to the tags.
>> But if i add .c file to the sources, the target is generated and all
>> the sources go there alongside this .c file.
>>
>> If there is no .pc.lo rule, .pc go to the tags regardless whether
>> there is .c file with them or not.
>>
>> The makefile to play is like this:
>>
>> SUFFIXES = .pc
>> .pc.lo:
>>         touch $*.lo
>> noinst_LTLIBRARIES=libfoo.la
>> libfoo_la_SOURCES=foo.pc # bar.c
>>
> I'll try to get a better look this evening or tomorrow.
> 
OK, with your new information, I can reproduce the bug in the maint
branch of Automake  But luckily, the overhauling of tags support done
in master has fixed it there already, so the bug will be gone in 1.13.
Thus I'm not reopening this ticket.

Patches exposing the bug in maint and documenting its fixing in master
(with a NEWS entry) will follow shorty.

Thanks,
  Stefano